### Method

# FwupdPlugin Device get_fwupd_version

since: 2.0.8

#### Declaration [src]

    const gchar*
    fu_device_get_fwupd_version (
      FuDevice* self
    )

#### Description [src]

Gets the fwupd version that created the emulation.

Available since: 2.0.8

#### Return value

Type: `const gchar*`

A version, e.g. `2.0.8`, or `NULL` if unset.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.